module

  Defaults

## Index

### Object literals

- defaultGlobalState
- defaultMinimumApi
- defaultOptions
- defaultPieces
- defaultState
- defaultWrappedState

## Object literals

### Const defaultGlobalState

defaultGlobalState: object

### expert

expert: false = false

### navBarCollapsed

navBarCollapsed: false = false

### Const defaultMinimumApi

defaultMinimumApi: object

Default minimum api allows basic editing without saving anything No Uploads and gallery TODO: Note this implementation is dependent on submodules. Reimplement as multi-extendable

### getNodeRect

getNodeRect: getNodeRect

### isNodeVisible

isNodeVisible: isNodeVisible

### getPieceData

- getPieceData<T>(piece: IPieceItem<T>, resolvers?: Partial<Record<PieceType, PieceDataResolver<T>>>): Promise<IPieceItem<T, any>>

- #### Type parameters

  - #### T: object = any

  #### Parameters

  - ##### piece: IPieceItem<T>

  - ##### Optional resolvers: Partial<Record<PieceType, PieceDataResolver<T>>>

  #### Returns Promise<IPieceItem<T, any>>

### resolveConflict

- resolveConflict(a: IPieceItem, b: IPieceItem): IPieceItem<any, any>

- #### Parameters

  - ##### a: IPieceItem

  - ##### b: IPieceItem

  #### Returns IPieceItem<any, any>

### savePieceData

- savePieceData(piece: IPieceItem<any, any>): Promise<IPieceItem<any, any>>

- #### Parameters

  - ##### piece: IPieceItem<any, any>

  #### Returns Promise<IPieceItem<any, any>>

### resolvers

resolvers: object

### background

- background(piece: IPieceItem): Promise<{ data: object }>

- #### Parameters

  - ##### piece: IPieceItem

  #### Returns Promise<{ data: object }>

### html

- html(piece1: IPieceItem): Promise<{ data: object }>

- #### Parameters

  - ##### piece1: IPieceItem

  #### Returns Promise<{ data: object }>

### image

- image(piece: IPieceItem): Promise<{ data: object }>

- #### Parameters

  - ##### piece: IPieceItem

  #### Returns Promise<{ data: object }>

### source

- source(piece1: IPieceItem): Promise<{ data: object }>

- #### Parameters

  - ##### piece1: IPieceItem

  #### Returns Promise<{ data: object }>

### Const defaultOptions

defaultOptions: object

### ajax

ajax: {}

#### Type declaration

### api

api: IPiecesAPI = defaultMinimumApi

### editorRoot

editorRoot: HTMLElement = document.body

### enableEdit

enableEdit: true = true

### meta

meta: {}

#### Type declaration

### navBarCollapsable

navBarCollapsable: true = true

### navBarDraggable

navBarDraggable: true = true

### navBarRoot

navBarRoot: HTMLElement = document.body

### overlayRoot

overlayRoot: HTMLElement = document.body

### piecesOptions

piecesOptions: IPiecesOptions = defaultPieces

### piecesRoot

piecesRoot: HTMLElement = document.body

### Const defaultPieces

defaultPieces: object

### attribute

attribute: string = "data-piece"

### attributeId

attributeId: string = "data-id"

### attributeName

attributeName: string = "data-name"

### components

components: {}

#### Type declaration

### nameGroupSeparator

nameGroupSeparator: string = ","

### options

options: {}

#### Type declaration

### selector

selector: string = "[data-piece]"

### Const defaultState

defaultState: object

### pieces

pieces: IPieceControllerState = defaultPiecesState

### config

config: object

### global

global: object

### expert

expert: false = false

### navBarCollapsed

navBarCollapsed: true = true

### Const defaultWrappedState

defaultWrappedState: object

### [REDUCER_KEY]

[REDUCER_KEY]: IWriteAwayState = defaultState

### toastr

toastr: any = undefined as any

Generated using TypeDoc